import { ChangeDetectorRef } from '@angular/core';
import { SdFormGenericNumber } from '../../../../../models';
import { BuilderService } from '../../../services';
import * as i0 from "@angular/core";
export declare class NumberControl {
    #private;
    private ref;
    private builderService;
    component: SdFormGenericNumber;
    set _component(component: SdFormGenericNumber);
    number: string | null;
    constructor(ref: ChangeDetectorRef, builderService: BuilderService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumberControl, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumberControl, "number-control", never, { "_component": { "alias": "component"; "required": true; }; }, {}, never, never, true, never>;
}
